rubygem-configliere-0.4.8-1.of.el6.noarch.rpm


Advertisement

Description

rubygem-configliere - Wise, discreet configuration management

Property Value
Distribution CentOS 6
Repository Open Fusion i386
Package filename rubygem-configliere-0.4.8-1.of.el6.noarch.rpm
Package name rubygem-configliere
Package version 0.4.8
Package release 1.of.el6
Package architecture noarch
Package type rpm
Category Development/Languages
Homepage http://infochimps.com/labs
License GPLv2+ or Ruby
Maintainer -
Download size 107.36 KB
Installed size 318.18 KB
You've got a script. It's got some settings. Some settings are for this
module, some are for that module. Most of them don't change. Except on your
laptop, where the paths are different.  Or when you're in production mode. Or
when you're testing from the command line.
"" So, Consigliere of mine, I think you should tell your Don what everyone
knows. "" -- Don Corleone
Configliere manage settings from many sources: static constants, simple config
files, environment variables, commandline options, straight ruby. You don't
have to predefine anything, but you can ask configliere to type-convert,
require, document or password-obscure any of its fields. Modules can define
config settings independently of each other and the main program.

Alternatives

Package Version Architecture Repository
rubygem-configliere-0.4.8-1.of.el6.noarch.rpm 0.4.8 noarch Open Fusion
rubygem-configliere - - -

Requires

Name Value
/usr/bin/env -
ruby >= 0
ruby(abi) = 1.8
rubygem(json) >= 0
rubygems >= 0

Provides

Name Value
rubygem(configliere) = 0.4.8
rubygem-configliere = 0.4.8-1.of.el6

Download

Type URL
Mirror repo.openfusion.net
Binary Package rubygem-configliere-0.4.8-1.of.el6.noarch.rpm
Source Package rubygem-configliere-0.4.8-1.of.el6.src.rpm

Install Howto

  1. Download latest openfusion-release rpm from
    http://repo.openfusion.net/centos6-i386/
  2. Install openfusion-release rpm:
    # rpm -Uvh openfusion-release*rpm
  3. Install rubygem-configliere rpm package:
    # yum install rubygem-configliere

Files

Path
/usr/lib/ruby/gems/1.8/cache/configliere-0.4.8.gem
/usr/lib/ruby/gems/1.8/doc/configliere-0.4.8/
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/.document
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/.watchr
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/CHANGELOG.textile
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/FEATURES.txt
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/Gemfile
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/LICENSE
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/README.textile
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/Rakefile
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/VERSION
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/configliere.gemspec
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/.yardoc/checksums
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/.yardoc/proxy_types
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/.yardoc/objects/root.dat
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/bin/configliere
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/bin/configliere-decrypt
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/bin/configliere-delete
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/bin/configliere-dump
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/bin/configliere-encrypt
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/bin/configliere-list
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/bin/configliere-set
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/config_block_script.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/encrypted_script.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/env_var_script.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/help_message_demo.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/independent_config.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/prompt.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/simple_script.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/examples/simple_script.yaml
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/commandline.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/commands.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/config_block.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/config_file.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/crypter.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/deep_hash.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/define.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/encrypted.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/env_var.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/param.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/lib/configliere/prompt.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/spec.opts
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/spec_helper.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/commandline_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/commands_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/config_block_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/config_file_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/crypter_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/deep_hash_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/define_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/encrypted_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/env_var_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/param_spec.rb
/usr/lib/ruby/gems/1.8/gems/configliere-0.4.8/spec/configliere/prompt_spec.rb
/usr/lib/ruby/gems/1.8/specifications/configliere-0.4.8.gemspec

Changelog

2012-01-25 - Gavin Carr <gavin@openfusion.com.au> - 0.4.8-1
- Initial package

See Also

Package Description
rubygem-configuration-1.2.0-1.of.el6.noarch.rpm configuration
rubygem-connection_pool-0.9.1-1.of.el6.noarch.rpm Generic connection pool for Ruby
rubygem-contest-0.1.2-1.of.el6.noarch.rpm Write more readable tests in Test::Unit with this tiny script
rubygem-crack-0.1.8-1.of.el6.noarch.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
rubygem-crack-0.3.1-1.of.el6.noarch.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
rubygem-creole-0.4.2-1.of.el6.noarch.rpm Lightweight markup language
rubygem-cri-2.3.0-1.of.el6.noarch.rpm a library for building easy-to-use commandline tools
rubygem-daemons-1.1.0-1.of.el6.noarch.rpm A toolkit to create and control daemons in different ways
rubygem-daemons-1.1.4-1.of.el6.noarch.rpm A toolkit to create and control daemons in different ways
rubygem-data_objects-0.10.9-1.of.el6.noarch.rpm DataObjects basic API and shared driver specifications
rubygem-descriptive_statistics-1.0.1-1.of.el6.noarch.rpm Descriptive Statistics
rubygem-diff-lcs-1.1.2-1.of.el6.noarch.rpm Provides a list of changes that represent the difference between two sequenced collections
rubygem-diff-lcs-1.1.3-1.of.el6.noarch.rpm Provides a list of changes that represent the difference between two sequenced collections
rubygem-directory_watcher-1.4.1-1.of.el6.noarch.rpm A class for watching files within a directory and generating events when those files change
rubygem-dm-core-1.2.0-1.of.el6.noarch.rpm An Object/Relational Mapper for Ruby
Advertisement
Advertisement